# Poco::Net

# class RejectCertificateHandler

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/RejectCertificateHandler.h

## Description

A RejectCertificateHandler is invoked whenever an error occurs verifying the certificate. It always rejects the certificate.

## Inheritance

Direct Base Classes: InvalidCertificateHandler

All Base Classes: InvalidCertificateHandler

## Member Summary

Member Functions: onInvalidCertificate

Inherited Functions: onInvalidCertificate

## Constructors

### RejectCertificateHandler

RejectCertificateHandler(
bool handleErrorsOnServerSide
);

Creates the RejectCertificateHandler

## Destructor

### ~RejectCertificateHandler

virtual ~RejectCertificateHandler();

Destroys the RejectCertificateHandler.

## Member Functions

### onInvalidCertificate

void onInvalidCertificate(
const void * pSender,
VerificationErrorArgs & errorCert
);

See also: Poco::Net::InvalidCertificateHandler::onInvalidCertificate()